ped2geneSet {GeneticsBase} | R Documentation

## translate a ped matrix to a geneSet object

### Description

Translate a ped matrix to a geneSet object.

### Usage

      ped2geneSet(pedObj, quiet=FALSE)

### Arguments

`pedObj` | a list with five elements: `ped`, `columns`, `markerNames`, `Position`, and `fileName`. `ped` is a pedigree data frame whose first 6 columns are family (pedigree id), pid (patient id), father (father id), mother (mother id), sex, affected (affection status). The remaining columns are pairs of marker alleles. Each row corresponds to an individual; `columns` are the names of the first 5 (or 6) columns of ped file. It should be either equal to c("family","pid","father","mother","sex","affected") or equal to c("family","pid","father","mother","sex"); `founderOnly` indicates if using only founder info; `markerNames` is a vector of marker names; `Position` is a vector of marker positions; `fileName` is the pedidgree file name.
`quiet` | print intermediate results if `quiet=FALSE`.

### Value

An object of geneSet class.

### Author(s)

Weiliang Qiu stwxq@channing.harvard.edu, Ross Lazarus ross.lazarus@channing.harvard.edu

[Package GeneticsBase version 1.8.0 Index]